Subject: bug#22889: closed (Re: bug#22889: small fixes to guile manual)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Aug 2016 21:42:02 +0000

Your bug report

#22889: small fixes to guile manual

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22889: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22889
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22889: small fixes to guile manual
From: Andy Wingo <[email-masked]>
To: [email-masked]
Date: Sun, 07 Aug 2016 23:41:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

done

Subject: small fixes to guile manual
From: Ethan Stefan Day <[email-masked]>
To: [email-masked]
Date: Wed, 2 Mar 2016 21:43:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I fixed a few small problems I found in the Guile manual as I was
reading it.  I edited against the version I found here
https://www.gnu.org/software/guile/manual/guile.texi.tar.gz
at about 7pm EST on March 2, 2016.  Most of the fixes are very small,
but the thing with car in api-data.texi could really confuse someone
learning scheme as one of their first programming languages.

-Ethan Day
*** guile.texi/api-compound.texi	2014-03-16 18:43:13.000000000 -0400
--- modded-guile.texi/api-compound.texi	2016-03-02 20:49:47.324141170 -0500
***************
*** 1258,1271 ****
  is an ordinary array of rank 1 with lower bound 2 in dimension 0.
  
  @item #2((1 2 3) (4 5 6))
! is a non-uniform array of rank 2; a 3@cross{}3 matrix with index ranges 0..2
  and 0..2.
  
  @item #u32(0 1 2)
  is a uniform u8 array of rank 1.
  
  @item #2u32@@2@@3((1 2) (2 3))
! is a uniform u8 array of rank 2 with index ranges 2..3 and 3..4.
  
  @item #2()
  is a two-dimensional array with index ranges 0..-1 and 0..-1, i.e.@:
--- 1258,1271 ----
  is an ordinary array of rank 1 with lower bound 2 in dimension 0.
  
  @item #2((1 2 3) (4 5 6))
! is a non-uniform array of rank 2; a 2@cross{}3 matrix with index ranges 0..1
  and 0..2.
  
  @item #u32(0 1 2)
  is a uniform u8 array of rank 1.
  
  @item #2u32@@2@@3((1 2) (2 3))
! is a uniform u32 array of rank 2 with index ranges 2..3 and 3..4.
  
  @item #2()
  is a two-dimensional array with index ranges 0..-1 and 0..-1, i.e.@:
***************
*** 2877,2883 ****
  @code{standard-vtable-fields}.
  
  @defvr {Scheme Variable} standard-vtable-fields
! A string containing the orderedq set of fields that a vtable must have.
  @end defvr
  
  @defvr {Scheme Variable} vtable-offset-user
--- 2877,2883 ----
  @code{standard-vtable-fields}.
  
  @defvr {Scheme Variable} standard-vtable-fields
! A string containing the ordered set of fields that a vtable must have.
  @end defvr
  
  @defvr {Scheme Variable} vtable-offset-user
*** guile.texi/api-control.texi	2014-01-21 16:10:04.000000000 -0500
--- modded-guile.texi/api-control.texi	2016-03-02 21:03:46.840159015 -0500
***************
*** 168,174 ****
  (@var{test} @var{expression} @dots{})
  @end lisp
  
! where @var{test} and @var{expression} are arbitrary expression, or like
  this
  
  @lisp
--- 168,174 ----
  (@var{test} @var{expression} @dots{})
  @end lisp
  
! where @var{test} and @var{expression} are arbitrary expressions, or like
  this
  
  @lisp
***************
*** 178,184 ****
  where @var{expression} must evaluate to a procedure.
  
  The @var{test}s of the clauses are evaluated in order and as soon as one
! of them evaluates to a true values, the corresponding @var{expression}s
  are evaluated in order and the last value is returned as the value of
  the @code{cond}-expression.  For the @code{=>} clause type,
  @var{expression} is evaluated and the resulting procedure is applied to
--- 178,184 ----
  where @var{expression} must evaluate to a procedure.
  
  The @var{test}s of the clauses are evaluated in order and as soon as one
! of them evaluates to a true value, the corresponding @var{expression}s
  are evaluated in order and the last value is returned as the value of
  the @code{cond}-expression.  For the @code{=>} clause type,
  @var{expression} is evaluated and the resulting procedure is applied to
***************
*** 893,899 ****
  @var{base}.
  
  Currently this creates a list and passes it to @code{scm_values}, but we
! expect that in the future we will be able to use more a efficient
  representation.
  @end deftypefn
  
--- 893,899 ----
  @var{base}.
  
  Currently this creates a list and passes it to @code{scm_values}, but we
! expect that in the future we will be able to use a more efficient
  representation.
  @end deftypefn
  
*** guile.texi/api-data.texi	2014-03-17 16:33:37.000000000 -0400
--- modded-guile.texi/api-data.texi	2016-03-02 21:07:44.900164075 -0500
***************
*** 1708,1714 ****
  
  @deffn {Scheme Procedure} ash n count
  @deffnx {C Function} scm_ash (n, count)
! Return @math{floor(n * 2^count)}.
  @var{n} and @var{count} must be exact integers.
  
  With @var{n} viewed as an infinite-precision twos-complement
--- 1708,1714 ----
  
  @deffn {Scheme Procedure} ash n count
  @deffnx {C Function} scm_ash (n, count)
! Return @math{floor(n * 2^{count})}.
  @var{n} and @var{count} must be exact integers.
  
  With @var{n} viewed as an infinite-precision twos-complement
***************
*** 5096,5102 ****
  @lisp
  ;; 1=red, 2=green, 3=purple
  
! (if (eq? (colour-of car) 1)
      ...)
  @end lisp
  
--- 5096,5102 ----
  @lisp
  ;; 1=red, 2=green, 3=purple
  
! (if (eq? (colour-of vehicle) 1)
      ...)
  @end lisp
  
***************
*** 5109,5115 ****
  (define green 2)
  (define purple 3)
  
! (if (eq? (colour-of car) red)
      ...)
  @end lisp
  
--- 5109,5115 ----
  (define green 2)
  (define purple 3)
  
! (if (eq? (colour-of vehicle) red)
      ...)
  @end lisp
  
***************
*** 5118,5124 ****
  symbols whose names specify the colours that they refer to:
  
  @lisp
! (if (eq? (colour-of car) 'red)
      ...)
  @end lisp
  
--- 5118,5124 ----
  symbols whose names specify the colours that they refer to:
  
  @lisp
! (if (eq? (colour-of vehicle) 'red)
      ...)
  @end lisp
  
***************
*** 5140,5154 ****
  manipulated as a list of symbols:
  
  @lisp
! (properties-of car1)
  @result{}
  (red manual unleaded power-steering)
  
! (if (memq 'power-steering (properties-of car1))
!     (display "Unfit people can drive this car.\n")
!     (display "You'll need strong arms to drive this car!\n"))
  @print{}
! Unfit people can drive this car.
  @end lisp
  
  Remember, the fundamental property of symbols that we are relying on
--- 5140,5154 ----
  manipulated as a list of symbols:
  
  @lisp
! (properties-of vehicle1)
  @result{}
  (red manual unleaded power-steering)
  
! (if (memq 'power-steering (properties-of vehicle1))
!     (display "Unfit people can drive this vehicle.\n")
!     (display "You'll need strong arms to drive this vehicle!\n"))
  @print{}
! Unfit people can drive this vehicle.
  @end lisp
  
  Remember, the fundamental property of symbols that we are relying on